"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const client_1 = __importDefault(require("./api/client"));
function commandHandler(handler) {
    return async (...args) => {
        const client = await (0, client_1.default)();
        return handler({ client }, ...args);
    };
}
exports.default = commandHandler;
//# sourceMappingURL=command-handler.js.map