"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.aliases = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }) => {
    const versions = await client.listVersions();
    (0, std_1.out)(versions.join('\n'));
});
exports.command = 'list';
exports.aliases = ['ls', '$0'];
exports.describe = chalk_1.default.green('display a list of the available runtimes');
const builder = () => { };
exports.builder = builder;
//# sourceMappingURL=list.js.map